[arch-commits] Commit in haskell-ghcide/repos (3 files)
Felix Yan
felixonmars at archlinux.org
Sun May 9 14:49:25 UTC 2021
Date: Sunday, May 9, 2021 @ 14:49:25
Author: felixonmars
Revision: 929218
archrelease: copy trunk to community-staging-x86_64
Added:
haskell-ghcide/repos/community-staging-x86_64/
haskell-ghcide/repos/community-staging-x86_64/PKGBUILD
(from rev 929217, haskell-ghcide/trunk/PKGBUILD)
haskell-ghcide/repos/community-staging-x86_64/haddock-library-1.10.patch
(from rev 929217, haskell-ghcide/trunk/haddock-library-1.10.patch)
----------------------------+
PKGBUILD | 81 +++++++++++++++++++++++++++++++++++++++++++
haddock-library-1.10.patch | 48 +++++++++++++++++++++++++
2 files changed, 129 insertions(+)
Copied: haskell-ghcide/repos/community-staging-x86_64/PKGBUILD (from rev 929217, haskell-ghcide/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD (rev 0)
+++ community-staging-x86_64/PKGBUILD 2021-05-09 14:49:25 UTC (rev 929218)
@@ -0,0 +1,81 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+_hkgname=ghcide
+pkgname=haskell-ghcide
+pkgver=1.1.0
+pkgrel=35
+pkgdesc="The core of an IDE"
+url="https://github.com/haskell/ghcide#readme"
+license=("Apache")
+arch=('x86_64')
+depends=('ghc-libs' 'haskell-diff' 'haskell-glob' 'haskell-aeson' 'haskell-async'
+ 'haskell-base16-bytestring' 'haskell-bytestring-encoding' 'haskell-case-insensitive'
+ 'haskell-cryptohash-sha1' 'haskell-data-default' 'haskell-dependent-map'
+ 'haskell-dependent-sum' 'haskell-dlist' 'haskell-extra' 'haskell-fingertree'
+ 'haskell-fuzzy' 'haskell-ghc' 'haskell-ghc-check' 'haskell-ghc-exactprint'
+ 'haskell-ghc-paths' 'haskell-gitrev' 'haskell-haddock-library' 'haskell-hashable'
+ 'haskell-heapsize' 'haskell-hie-bios' 'haskell-hie-compat' 'haskell-hiedb'
+ 'haskell-hls-plugin-api' 'haskell-hslogger' 'haskell-implicit-hie-cradle' 'haskell-lens'
+ 'haskell-lsp' 'haskell-lsp-test' 'haskell-lsp-types' 'haskell-network-uri'
+ 'haskell-opentelemetry' 'haskell-optparse-applicative' 'haskell-parallel'
+ 'haskell-prettyprinter' 'haskell-prettyprinter-ansi-terminal' 'haskell-regex-tdfa'
+ 'haskell-retrie' 'haskell-rope-utf16-splay' 'haskell-safe' 'haskell-safe-exceptions'
+ 'haskell-shake' 'haskell-sorted-list' 'haskell-sqlite-simple' 'haskell-syb'
+ 'haskell-unliftio' 'haskell-unliftio-core' 'haskell-unordered-containers'
+ 'haskell-utf8-string' 'haskell-vector')
+makedepends=('ghc' 'uusi' 'haskell-quickcheck' 'haskell-ghc-typelits-knownnat'
+ 'haskell-implicit-hie' 'haskell-quickcheck-instances' 'haskell-record-dot-preprocessor'
+ 'haskell-record-hasfield' 'haskell-tasty' 'haskell-tasty-expected-failure'
+ 'haskell-tasty-hunit' 'haskell-tasty-quickcheck' 'haskell-tasty-rerun')
+checkdepends=('cabal-install')
+# Hackage tarball is missing test data
+#source=("https://hackage.haskell.org/packages/archive/$_hkgname/$pkgver/$_hkgname-$pkgver.tar.gz")
+source=("https://github.com/haskell/haskell-language-server/archive/$_hkgname-v$pkgver.tar.gz"
+ haddock-library-1.10.patch)
+sha256sums=('ec611943b46027488d85135eb61245ea7cbd892ed9825b1456a4b74e0eb5a713'
+ 'ba4114432e733398750247c26486c26c301b3d9fd76066ef8606b8a05d60e33e')
+
+prepare() {
+ cd haskell-language-server-$_hkgname-v$pkgver/$_hkgname
+ patch -p2 -i ../../haddock-library-1.10.patch
+ gen-setup
+ uusi -u base16-bytestring $_hkgname.cabal
+ find test/data -name \*.cabal -exec uusi --add-options-all=-dynamic {} \;
+
+ # TODO: Skipped some broken tests for now
+ sed -i '/, benchmarkTests/d;/, findDefinitionAndHoverTests/d;/, bootTests/d;s/, simpleMultiDefTest//;s/echo A.hs/echo -dynamic > $HIE_BIOS_OUTPUT/' test/exe/Main.hs
+}
+
+build() {
+ cd haskell-language-server-$_hkgname-v$pkgver/$_hkgname
+
+ runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
+ --prefix=/usr --docdir=/usr/share/doc/$pkgname --enable-tests \
+ --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid \
+ --ghc-option=-optl-Wl\,-z\,relro\,-z\,now \
+ --ghc-option='-pie'
+
+ runhaskell Setup build $MAKEFLAGS
+ runhaskell Setup register --gen-script
+ runhaskell Setup unregister --gen-script
+ sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
+ sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
+}
+
+check() {
+ cd haskell-language-server-$_hkgname-v$pkgver/$_hkgname
+ cabal update
+ # Random test failures "Received an illegal message between the initialize request and response"
+ # th-linking-test-unboxed always fails too
+ PATH="$PWD/dist/build/ghcide:$PWD/dist/build/ghcide-test-preprocessor:$PATH" LD_LIBRARY_PATH="$PWD/dist/build" runhaskell Setup test || echo "Tests failed"
+}
+
+package() {
+ cd haskell-language-server-$_hkgname-v$pkgver/$_hkgname
+
+ install -D -m744 register.sh "$pkgdir"/usr/share/haskell/register/$pkgname.sh
+ install -D -m744 unregister.sh "$pkgdir"/usr/share/haskell/unregister/$pkgname.sh
+ runhaskell Setup copy --destdir="$pkgdir"
+ install -D -m644 LICENSE -t "$pkgdir"/usr/share/licenses/$pkgname/
+ rm -f "$pkgdir"/usr/share/doc/$pkgname/LICENSE
+}
Copied: haskell-ghcide/repos/community-staging-x86_64/haddock-library-1.10.patch (from rev 929217, haskell-ghcide/trunk/haddock-library-1.10.patch)
===================================================================
--- community-staging-x86_64/haddock-library-1.10.patch (rev 0)
+++ community-staging-x86_64/haddock-library-1.10.patch 2021-05-09 14:49:25 UTC (rev 929218)
@@ -0,0 +1,48 @@
+From 217f01fcec49c35acf73c90f5ade0e5273ace055 Mon Sep 17 00:00:00 2001
+From: Potato Hatsue <1793913507 at qq.com>
+Date: Sat, 20 Mar 2021 00:35:49 +0800
+Subject: [PATCH 1/2] Bump haddock-library to 1.10.0
+
+---
+ ghcide/ghcide.cabal | 2 +-
+ ghcide/src/Development/IDE/Spans/Common.hs | 9 ++++++++-
+ stack-8.6.4.yaml | 2 +-
+ stack-8.6.5.yaml | 2 +-
+ stack-8.8.2.yaml | 2 +-
+ stack.yaml | 2 +-
+ 6 files changed, 13 insertions(+), 6 deletions(-)
+
+diff --git a/ghcide/ghcide.cabal b/ghcide/ghcide.cabal
+index 50e829612..499ba86ac 100644
+--- a/ghcide/ghcide.cabal
++++ b/ghcide/ghcide.cabal
+@@ -55,7 +55,7 @@ library
+ fingertree,
+ ghc-exactprint,
+ Glob,
+- haddock-library >= 1.8 && < 1.10,
++ haddock-library ^>= 1.10.0,
+ hashable,
+ hie-compat ^>= 0.1.0.0,
+ hls-plugin-api ^>= 1.0.0.0,
+diff --git a/ghcide/src/Development/IDE/Spans/Common.hs b/ghcide/src/Development/IDE/Spans/Common.hs
+index d03e81c97..8e6c06680 100644
+--- a/ghcide/src/Development/IDE/Spans/Common.hs
++++ b/ghcide/src/Development/IDE/Spans/Common.hs
+@@ -121,8 +121,15 @@ haddockToMarkdown (H.DocIdentifier i)
+ = "`" ++ i ++ "`"
+ haddockToMarkdown (H.DocIdentifierUnchecked i)
+ = "`" ++ i ++ "`"
+-haddockToMarkdown (H.DocModule i)
++haddockToMarkdown (H.DocModule (H.ModLink i Nothing))
+ = "`" ++ escapeBackticks i ++ "`"
++-- See https://github.com/haskell/haddock/pull/1315
++-- Module references can be labeled in markdown style, e.g. [some label]("Some.Module")
++-- However, we don't want to use the link markup here, since the module name would be covered
++-- up by the label. Thus, we keep both the label and module name in the following style:
++-- some label ( `Some.Module` )
++haddockToMarkdown (H.DocModule (H.ModLink i (Just label)))
++ = haddockToMarkdown label ++ " ( `" ++ escapeBackticks i ++ "` )"
+ haddockToMarkdown (H.DocWarning w)
+ = haddockToMarkdown w
+ haddockToMarkdown (H.DocEmphasis d)
More information about the arch-commits
mailing list